Subject: RE: TE

From: Ashok Ramchandra <[email-masked]>
Date: Wed, 21 Jun 2000 17:02:49 -0700

I have a small confusion here. It might be the case that I am missing
something. 

I can completely understand the second part of the argument that an external
mechanism should be present in absence of MPLS to signal the participating
routers in an explicit route, but not the first one. Even in case of MPLS
aware domain, if one is to create a ER-LSP, the originator of an LSP should
have a static route configured. If that is not neccessary for an originator
of a LSP and can be done using the routing protocols present, then what is
stopping the non-mpls N/W to do it?

Thanks,
R.Ashok
-----Original Message-----
From: Jay Wang
To: alex.mondrus
Cc: mpls
Sent: 6/21/00 1:21 PM
Subject: Re: TE

Alex,

    Yes, you can statically set up an explicit route for a set of
    flows without MPLS.  But the focus really is in traffic
    engineering. Static routing will not be a proper solution to deal
    with TE for any sizable ISP.  In addition to the salability
    concern as Arup pointed out, there is also a management issue.
    With MPLS, in ISP's management system pertaining to TE each
    tunnel can be handled as a single unit. The signaling and control
    is all done "in the network".  On the other hand, without MPLS the
    ISP's external management system most likely has to provide a
    wrapping (to create a view of a "logical tunnel") that signals and
    coordinates all the participating routers externally.  This raises
the
    issue of complexity (as if managing thousands of MPLS-LSPs is not
    complex enough) and perhaps reliability.

- Jay

Arup Das wrote:

> True - you can do that in IP too.
>
> However, in IP if you want to do explicit routing, you need to include
the full
> path information in each IP packet header. Now, that will dramatically
increase
> the IP packet header size and consequently, the processing time will
increase.
> The explicit path used in MPLS has much less overhead compared to that
in IP.
> "alex.mondrus" wrote:
>
> > In general to do an explicit path set up you do not need to use
MPLS.
> >
> > Alex Mondrus
> >
> > http://www.ipoptical.com
> >
> > Traffic Engineering - MPLS allows you to set up tunnels
> > >         with explicit routing so that you can design your routes
> > >         off-line in order to achieve best traffic distribution to
> > >         minimize network hot spots (which often occur in OSPF
> > >         type routing) and improve network capacity efficiency.
> > >         Load balancing (parallel MPLS tunnels running between
> > >         a source-dest pair) and trunk protection also become easy.
> >
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]On Behalf Of David
> > Wilder
> > Sent: Wednesday, June 21, 2000 12:02 PM
> > To: Jay Wang
> > Cc: [email-masked]; [email-masked]
> > Subject: Re: TE
> >
> > Very well put Jay.
> >
> > - Dave
> >
> > > Mike,
> > >
> > >     MPLS is not created to support constraint based routing
> > >     and it doesn't.  It let you set up layer two tunnels using
> > >     label switching.  An IP network can benefit from the
> > >     existence of MPLS with at least the following:
> > >
> > >     1. Faster data forwarding at the transient (core) routers -
> > >         This is because there is only label (index) lookup and
> > >         no IP header processing.  This however became much
> > >         weaker an argument lately since lots of work that used
> > >         to be done by software (e.g., header processing,
> > >         classification) now are typically done in ASIC in vendor's
> > >         box.
> > >
> > >     2. Traffic Engineering - MPLS allows you to set up tunnels
> > >         with explicit routing so that you can design your routes
> > >         off-line in order to achieve best traffic distribution to
> > >         minimize network hot spots (which often occur in OSPF
> > >         type routing) and improve network capacity efficiency.
> > >         Load balancing (parallel MPLS tunnels running between
> > >         a source-dest pair) and trunk protection also become easy.
> > >
> > >     3. QoS/VPN  - MPLS interworking with Diffserv gives you
traffic
> > >         isolation (and hence some performance protection). Also,
> > >         MPLS with proper support of resource
> > >         reservation signaling mechanism (e.g., RSVP), you can
specify
> > >         thE size of each MPLS 'pipe'.  With a careful traffic
trunk
> > > analysis,
> > >         you may set up a set of corresponding pipes (using
constraint
> > based
> > >         or explicit routing) such that you can place some
application
> > > specific
> > >         (e.g., voice,  video) flows on the trunks while meeting
some
> > >         stringent real-time specs (e.g., loss, jitters, latency).
> > >
> > > - Jay
> > >
> > > David Charlap wrote:
> > >
> > > > Mike Badil wrote:
> > > > >
> > > > > I just reading MPLS document, I have a question which I am not
really
> > > > > clear to understand, if someone helps I will be happy.
> > > > >
> > > > > The Question is:
> > > > >
> > > > > What makes MPLS to support constraint based routing?
> > > >
> > > > The existance of LSPs makes traffic engineering easier to
implement.  It
> > > > does not make it impossible, however.
> > > >
> > > > > If it just adding contsraint metrics to conventional routing
in order
> > > > > to support TE.
> > > > > Why it is not possible without MPLS.
> > > >
> > > > Sure, it's possible.  Who said it wasn't?
> > > >
> > > > > In other word, in conventional IP routing, if we add
constraint
> > > > > metrics, can conventional IP routing support it also?
> > > >
> > > > I think you're missing the point of MPLS.
> > > >
> > > > MPLS's purpose is not to create the ability to perform
constraint-based
> > > > routing and traffic engineering where it was previously
impossible.
> > > >
> > > > MPLS's purpose is to create a connection-oriented link layer
(COLL).
> > > > Where forwarding decisions are made solely on the basis of a
packet's
> > > > label, and not on any other content in the packet.
> > > >
> > > > The use of a COLL is not a requirement for traffic engineering.
It
> > > > simply makes it easier to implement.  With a COLL, the hard work
of
> > > > determining the path that data packets must take can be done
once, when
> > > > the LSP is set up.  Without a COLL, this work must be done by
every
> > > > switch, for every data packet.
> > > >
> > > > Connection oriented link layers are not new.  ATM and Frame
Relay also
> > > > use them.  The big thing that makes MPLS special is that it can
run over
> > > > nearly any transport medium (ATM, FR, POS, Ethernet, etc)
instead of
> > > > being tied to a specific layer-2 encapsulation.  Also, because
it uses
> > > > IP for its addressing, it can work with many common routing and
> > > > signalling protocols (like OSPF, IS-IS, and RSVP).
> > > >
> > > > -- David
> > >
> > > --
> > > Jay Wang - http://math.research.bell-labs.com/~wang/wang.htm
> > > Bell Laboratories, Lucent Technologies     Tel: (908) 582-7223
> > > 600 Mountain Avenue, Room 2C-308,
[email-masked]
> > > Murray Hill, NJ 07974-2070
> > >
> > >
> > >
>
> --
> Regards,
> Arup Das
> (763-1863)